#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

int minimum(int c1, int c2)
{
	return (c1<c2)?c1:c2;
}

int main()
{
	int px,py,dam,mx,my,vysledek;
	short **sachovnice;
	scanf("%d %d %d ",&px,&py,&dam);
	while (!((px==0)&&(py==0)&&(dam==0)))
	{
		sachovnice = new short*[px];         //alokace pameti
		for(int i=0; i<px; i++)
		{
			sachovnice[i] = new short[py];
		}

		for(int i=0; i<px; i++)        //inicializace pole
			for(int j=0; j<py; j++)
			{
				sachovnice[i][j] = 0;
			}	

		for (int i = 0; i < dam; i++)    //pridani dam
		{
			int min, nahoru, dolu;
			scanf("%d %d ",&mx,&my);
			for(int i=0; i<py; i++)    //radek
			{
				sachovnice[mx-1][i]=1;
			}				
			for(int i=0; i<px; i++)    //sloupec
			{
				sachovnice[i][my-1]=1;
			}	
			if (mx==my)   //diagonala uprostred zleva
			{
				min = minimum(px,py);
				for(int i=0; i<min; i++)     
				{
					sachovnice[i][i]=1;    //zleva
				}
			}
			if (mx-1+my-1 == minimum(px-1,py-1))   //diagonala uprostred zprava
			{
				min = minimum(px,py);
				for(int i=0; i<min; i++)     
				{
					sachovnice[i][min-1-i]=1;    //zleva
				}
			}
			if (mx>my)   //diagonala nahore zleva
			{
				nahoru = my-1;
				dolu = px-mx;
				min = nahoru+dolu+1;
				for(int i=0; i<min; i++)
				{
					sachovnice[mx-1-nahoru+i][my-1-nahoru+i]=1;
				}
			}
			if (mx<my)   //diagonala dole zleva
			{
				nahoru = mx-1;
				dolu = py-my;
				min = nahoru+dolu+1;
				for(int i=0; i<min; i++)
				{
					sachovnice[mx-1-nahoru+i][my-1-nahoru+i]=1;
				}
			}
			
			if (mx-1+my-1 < minimum(px-1,py-1))   //diagonala nahore zprava
			{
				nahoru = mx-1;
				dolu = my-1;
				min = nahoru+dolu+1;
				for(int i=0; i<min; i++)
				{
					sachovnice[mx-1-nahoru+i][my-1+nahoru-i]=1;
				}
			}
			if (mx-1+my-1 > minimum(px-1,py-1))   //diagonala dole zprava
			{
				nahoru = py-my;
				dolu = px-mx;
				min = nahoru+dolu+1;
				for(int i=0; i<min; i++)
				{
					sachovnice[mx-1-nahoru+i][my-1+nahoru-i]=1;
				}
			}			
		}
		vysledek = 0;
		for(int i=0; i<px; i++)    //vysledek
		{
			for(int j=0; j<py; j++)
			{
				if (sachovnice[i][j]==0)
				{
					vysledek++;
				}
				//printf("%d",sachovnice[i][j]);
			}
			//printf("\n");
		}
		printf("%d\n",vysledek);
		for (int i=0; i<px; i++)            //uvolneni pole
		{
			delete [] sachovnice[i];
		}
		delete [] sachovnice;
		
		scanf("%d %d %d ",&px,&py,&dam);  
	}
	return 0;
}
